<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="SqlDataSource1" Runat="server" DeleteCommand="DELETE FROM [Suppliers] WHERE [SupplierID] = @original_SupplierID" InsertCommand="INSERT INTO [Suppliers] ([CompanyName], [ContactName], [ContactTitle], [Address], [City], [Region], [PostalCode], [Country], [Phone], [Fax], [HomePage]) VALUES (@CompanyName, @ContactName, @ContactTitle, @Address, @City, @Region, @PostalCode, @Country, @Phone, @Fax, @HomePage)" SelectCommand="SELECT * FROM [Suppliers] ORDER BY [CompanyName]" UpdateCommand="UPDATE [Suppliers] SET [CompanyName] = @CompanyName, [ContactName] = @ContactName, [ContactTitle] = @ContactTitle, [Address] = @Address, [City] = @City, [Region] = @Region, [PostalCode] = @PostalCode, [Country] = @Country, [Phone] = @Phone, [Fax] = @Fax, [HomePage] = @HomePage WHERE [SupplierID] = @original_SupplierID" ConnectionString="<%$ ConnectionStrings:AppConnectionString1 %>">
            <DeleteParameters>
                <asp:Parameter Type="Int32" Name="SupplierID"></asp:Parameter>
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Type="String" Name="CompanyName"></asp:Parameter>
                <asp:Parameter Type="String" Name="ContactName"></asp:Parameter>
                <asp:Parameter Type="String" Name="ContactTitle"></asp:Parameter>
                <asp:Parameter Type="String" Name="Address"></asp:Parameter>
                <asp:Parameter Type="String" Name="City"></asp:Parameter>
                <asp:Parameter Type="String" Name="Region"></asp:Parameter>
                <asp:Parameter Type="String" Name="PostalCode"></asp:Parameter>
                <asp:Parameter Type="String" Name="Country"></asp:Parameter>
                <asp:Parameter Type="String" Name="Phone"></asp:Parameter>
                <asp:Parameter Type="String" Name="Fax"></asp:Parameter>
                <asp:Parameter Type="String" Name="HomePage"></asp:Parameter>
                <asp:Parameter Type="Int32" Name="SupplierID"></asp:Parameter>
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Type="String" Name="CompanyName"></asp:Parameter>
                <asp:Parameter Type="String" Name="ContactName"></asp:Parameter>
                <asp:Parameter Type="String" Name="ContactTitle"></asp:Parameter>
                <asp:Parameter Type="String" Name="Address"></asp:Parameter>
                <asp:Parameter Type="String" Name="City"></asp:Parameter>
                <asp:Parameter Type="String" Name="Region"></asp:Parameter>
                <asp:Parameter Type="String" Name="PostalCode"></asp:Parameter>
                <asp:Parameter Type="String" Name="Country"></asp:Parameter>
                <asp:Parameter Type="String" Name="Phone"></asp:Parameter>
                <asp:Parameter Type="String" Name="Fax"></asp:Parameter>
                <asp:Parameter Type="String" Name="HomePage"></asp:Parameter>
            </InsertParameters>
        </asp:SqlDataSource>
        <br />
        <asp:ObjectDataSource ID="ObjectDataSource1" Runat="server" TypeName="ProductsTableAdapter"
            DeleteMethod="Delete" InsertMethod="Insert" SelectMethod="GetData" UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="ProductID"></asp:Parameter>
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="ProductName"></asp:Parameter>
                <asp:Parameter Name="SupplierID"></asp:Parameter>
                <asp:Parameter Name="CategoryID"></asp:Parameter>
                <asp:Parameter Name="QuantityPerUnit"></asp:Parameter>
                <asp:Parameter Name="UnitPrice"></asp:Parameter>
                <asp:Parameter Name="UnitsInStock"></asp:Parameter>
                <asp:Parameter Name="UnitsOnOrder"></asp:Parameter>
                <asp:Parameter Name="ReorderLevel"></asp:Parameter>
                <asp:Parameter Name="Discontinued"></asp:Parameter>
                <asp:Parameter Name="ProductID"></asp:Parameter>
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="ProductName"></asp:Parameter>
                <asp:Parameter Name="SupplierID"></asp:Parameter>
                <asp:Parameter Name="CategoryID"></asp:Parameter>
                <asp:Parameter Name="QuantityPerUnit"></asp:Parameter>
                <asp:Parameter Name="UnitPrice"></asp:Parameter>
                <asp:Parameter Name="UnitsInStock"></asp:Parameter>
                <asp:Parameter Name="UnitsOnOrder"></asp:Parameter>
                <asp:Parameter Name="ReorderLevel"></asp:Parameter>
                <asp:Parameter Name="Discontinued"></asp:Parameter>
            </InsertParameters>
        </asp:ObjectDataSource>
        <br />
        <asp:DetailsView ID="DetailsView1" Runat="server" DataSourceID="SqlDataSource1" AutoGenerateRows="False"
            DataKeyNames="SupplierID" AllowPaging="True">
            <Fields>
                <asp:BoundField ReadOnly="True" HeaderText="SupplierID" InsertVisible="False" DataField="SupplierID"
                    SortExpression="SupplierID"></asp:BoundField>
                <asp:BoundField HeaderText="CompanyName" DataField="CompanyName" SortExpression="CompanyName"></asp:BoundField>
                <asp:BoundField HeaderText="ContactName" DataField="ContactName" SortExpression="ContactName"></asp:BoundField>
                <asp:BoundField HeaderText="ContactTitle" DataField="ContactTitle" SortExpression="ContactTitle"></asp:BoundField>
                <asp:BoundField HeaderText="Address" DataField="Address" SortExpression="Address"></asp:BoundField>
                <asp:BoundField HeaderText="City" DataField="City" SortExpression="City"></asp:BoundField>
                <asp:BoundField HeaderText="Region" DataField="Region" SortExpression="Region"></asp:BoundField>
                <asp:BoundField HeaderText="PostalCode" DataField="PostalCode" SortExpression="PostalCode"></asp:BoundField>
                <asp:BoundField HeaderText="Country" DataField="Country" SortExpression="Country"></asp:BoundField>
                <asp:BoundField HeaderText="Phone" DataField="Phone" SortExpression="Phone"></asp:BoundField>
                <asp:BoundField HeaderText="Fax" DataField="Fax" SortExpression="Fax"></asp:BoundField>
                <asp:BoundField HeaderText="HomePage" DataField="HomePage" SortExpression="HomePage"></asp:BoundField>
                <asp:CommandField ShowDeleteButton="True" ShowInsertButton="True" ShowEditButton="True"></asp:CommandField>
            </Fields>
        </asp:DetailsView>
        <asp:GridView ID="GridView1" Runat="server" DataSourceID="ObjectDataSource1" AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField HeaderText="ProductID" DataField="ProductID" SortExpression="ProductID"></asp:BoundField>
                <asp:BoundField HeaderText="ProductName" DataField="ProductName" SortExpression="ProductName"></asp:BoundField>
                <asp:BoundField HeaderText="SupplierID" DataField="SupplierID" SortExpression="SupplierID"></asp:BoundField>
                <asp:BoundField HeaderText="CategoryID" DataField="CategoryID" SortExpression="CategoryID"></asp:BoundField>
                <asp:BoundField HeaderText="QuantityPerUnit" DataField="QuantityPerUnit" SortExpression="QuantityPerUnit"></asp:BoundField>
                <asp:BoundField HeaderText="UnitPrice" DataField="UnitPrice" SortExpression="UnitPrice"></asp:BoundField>
                <asp:BoundField HeaderText="UnitsInStock" DataField="UnitsInStock" SortExpression="UnitsInStock"></asp:BoundField>
                <asp:BoundField HeaderText="UnitsOnOrder" DataField="UnitsOnOrder" SortExpression="UnitsOnOrder"></asp:BoundField>
                <asp:BoundField HeaderText="ReorderLevel" DataField="ReorderLevel" SortExpression="ReorderLevel"></asp:BoundField>
                <asp:CheckBoxField HeaderText="Discontinued" SortExpression="Discontinued" DataField="Discontinued"></asp:CheckBoxField>
            </Columns>
        </asp:GridView>
    
    </div>
    </form>
</body>
</html>
